Bug 1256447 - [RFE] Document R10K Puppet Integration With Satellite6
[RFE] Document R10K Puppet Integration With Satellite6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: 6.2.9
: 6.2
Assigned To: Stephen Wadeley
Charles Wood
: FutureFeature
Depends On: 1438152
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 11:18 EDT by Dave Sullivan
Modified: 2017-06-09 05:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 05:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Sullivan 2015-08-24 11:18:07 EDT
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Puppet_Guide/chap-Red_Hat_Satellite-Puppet_Guide-Overview.html#sect-Red_Hat_Satellite-Puppet_Guide-Overview-Defining_the_Puppet_Workflow

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Compare and contrast R10K versus embedded puppet integration, what are the pros/cons of one versus the other.

Additional information: 

existing RFE: 
Using R10K to download puppet modules from git repositories RFE
https://bugzilla.redhat.com/show_bug.cgi?id=1256414
Comment 3 Andrew Dahms 2017-02-02 23:22:53 EST
Assigning to Stephen for review.
Comment 5 Stephen Wadeley 2017-02-17 10:19:14 EST
Hello 

For the big picture on how R10K relates to Satellite 6, see the presentation:

Migrating an existing Puppet deployment into Red Hat Satellite 6 - YouTube - https://www.youtube.com/watch?v=04m6SlvzvKY



See also:

Using r10k with Red Hat Satellite 6 - Red Hat Customer Portal - https://access.redhat.com/blogs/1169563/posts/2216351
Comment 7 Steve Bream 2017-05-16 05:56:43 EDT
Stephen,

I agree with the plan to cover this with a kbase article based on Maxim's existing presentation. I also agree that if this isn't a scenario that has been tested by QE and isn't supported by eng, docs shouldn't include it.

Thanks,
Steve
Comment 8 Stephen Wadeley 2017-06-09 05:59:59 EDT
Hello

I have published this article:

Migrating from community Puppet to Satellite 6 - Red Hat Customer Portal - https://access.redhat.com/articles/3074661


I will close the bug now but feel free to reopen it if there are further questions related to this.


Thank you

Note You need to log in before you can comment on or make changes to this bug.